## org.apache.sling.scripting.jst
Class HtmlContentRenderer

    java.lang.Object
      org.apache.sling.scripting.jst.HtmlContentRenderer

    public class HtmlContentRenderer

extends java.lang.Object

Constructor Summary
`HtmlContentRenderer()`

Method Summary
`protected boolean` `displayProperty(java.lang.String name)`
`protected java.lang.String` `escape(java.lang.String str)`
`protected java.lang.String` `getDotDots(int start, int len)`
`void` `render(java.io.PrintWriter pw, org.apache.sling.api.resource.Resource r, javax.jcr.Node n, java.lang.String title)`
`protected void` `renderBreadcrumbs(java.io.PrintWriter pw, javax.jcr.Node n)`
`protected void` `renderChildNodes(java.io.PrintWriter pw, javax.jcr.Node parent)`
`protected void` `renderPropertyValue(java.io.PrintWriter pw, javax.jcr.Property p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlContentRenderer

    public HtmlContentRenderer()

Method Detail

### render

    public void render(java.io.PrintWriter pw,
                       org.apache.sling.api.resource.Resource r,
                       javax.jcr.Node n,
                       java.lang.String title)
                throws javax.jcr.RepositoryException

  Throws:
    `javax.jcr.RepositoryException`

### renderBreadcrumbs

    protected void renderBreadcrumbs(java.io.PrintWriter pw,
                                     javax.jcr.Node n)
                              throws javax.jcr.RepositoryException

  Throws:
    `javax.jcr.RepositoryException`

### getDotDots

    protected java.lang.String getDotDots(int start,
                                          int len)

### renderChildNodes

    protected void renderChildNodes(java.io.PrintWriter pw,
                                    javax.jcr.Node parent)
                             throws javax.jcr.RepositoryException

  Throws:
    `javax.jcr.RepositoryException`

### renderPropertyValue

    protected void renderPropertyValue(java.io.PrintWriter pw,
                                       javax.jcr.Property p)
                                throws javax.jcr.RepositoryException

  Throws:
    `javax.jcr.RepositoryException`

### escape

    protected java.lang.String escape(java.lang.String str)

### displayProperty

    protected boolean displayProperty(java.lang.String name)

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.